<?php
error_reporting(E_ALL);
ini_set('display_errors', '1');
session_start();

//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
		
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
$accion=$_REQUEST['accion'];
$enlace=cargar_conexion();
set_time_limit(3000); 

///////////////////////////////////////////////// inicio del programa ////////////////////////////////////////////////////////////////
menu();
$entra=0;
echo "<br><center><h2>Subir Archivos de Registros de Nomina</h2></center>";
?>

<center><form name="frmArchivo" enctype="multipart/form-data" action='menu_personal_subir.php' method="POST">
   <label>Archivo a Subir (no debe contener espacios ni caracteres especiales):</label>
   <input type="hidden" name="MAX_FILE_SIZE" value="200000">
   <input type="file" name="archivo">
   <input class="boton" type="submit" name="enviar" value="Importar">
</form></center>

<?
///////////////////////////////////////////////// cambiar clave ////////////////////////////////////////////////////////////////
if ($_POST) {

	$archivos='archivos/subir.txt';
	if (file_exists($archivos)) unlink($archivos);

	$tipo = $_FILES['archivo']['type']; 
	$tamanio = $_FILES['archivo']['size']; 
	$archivotmp = $_FILES['archivo']['tmp_name'];

	if(move_uploaded_file($archivotmp, $archivos) ){
		echo "<br><center><font color=green>El archivo Procesado...</font></center>";
		echo "<table border=1 align=center>";
		$lineas = file('archivos/subir.txt');
		$entro=0;$grabar=0;
		foreach ($lineas as $linea_num => $linea)
		{
			if (substr($linea,17,4)=='Peri' && substr($linea,0,17)=='                 ') {
				if ($entro==0) {
						echo "<tr bgcolor=blue><td colspan=5 align=center><font color=white>".trim(substr($linea,30,50))."</font></td></tr>";
						echo "<tr bgcolor=blue><td><font color=white>Codigo</font></td>
								<td><font color=white>Detalle del Concepto</font></td>
								<td><font color=white>Asignacion</font></td>
								<td><font color=white>Deduccion</font></td>
								<td><font color=white>Saldo</font></td></tr>";
						$entro=1;
						$periodo=trim(substr($linea,30,50));
				}		
			} else {
				if (substr($linea,1,4)!='    ' && substr($linea,5,1)==' ' && substr($linea,6,1)!=' ')  {
						echo "<tr bgcolor=yellow>";
						echo "<td>".trim(substr($linea,1,5))."</td>";
						echo "<td>".trim(substr($linea,6,50))."</td>";
						echo "<td colspan=3>".trim(substr($linea,56,20))."</td>";
						echo "</tr>";
						$cedula=str_repeat("0",8-strlen(trim(substr($linea,56,20)))).trim(substr($linea,56,20));
				} else {
					if (substr($linea,1,5)=='     ' && substr($linea,6,1)!=' ' && substr($linea,6,15)!='No. Integrantes') {
						echo "<tr>";
						echo "<td>".trim(substr($linea,6,4))."</td>";
						echo "<td>".trim(substr($linea,11,60))."</td>";
						echo "<td align=right>".trim(substr($linea,71,18))."</td>";
						echo "<td align=right>".trim(substr($linea,89,18))."</td>";
						echo "<td align=right>".trim(substr($linea,107,50))."</td>";
						echo "</tr>";
						$grabar=1;
						$codigo=trim(substr($linea,6,4));
						$concepto=trim(substr($linea,11,60));
						$a=trim(substr(str_replace(",","",$linea),71,18));
						$d=trim(substr(str_replace(",","",$linea),89,18));
						$s=trim(substr(str_replace(",","",$linea),107,50));
						if ($a=='') $a='0';
						if ($d=='') $d='0';
						if ($s=='') $s='0';
						$consulta="select * from historico_recibos where id='".$_SESSION['id_validar']."' and ced='".$cedula."' and per='".$periodo."' and cod='".$codigo."'";
						$resultado=mysql_query($consulta) or die ($consulta."-->".mysql_error());
						if (mysql_num_rows($resultado)==0){
							if (substr($periodo,2,1)==',') $orden=substr($periodo,14,4).substr($periodo,11,2).substr($periodo,8,2);						
							else if (substr($periodo,1,1)==',') $orden=substr($periodo,13,4).substr($periodo,10,2).substr($periodo,7,2);						
							else $orden=$periodo; 
							$consulta=mysql_query("insert into historico_recibos (id,ced,per,cod,con,a,d,s,orden) values('".$_SESSION['id_validar']."','".$cedula."','".$periodo."','".$codigo."','".$concepto."','".$a."','".$d."','".$s."','".$orden."')");
						} else $_SESSION['per_validar']=''; 
					}	
				}	
			}	
		}
		echo "</table>";
	} else {
	   echo "<br><center><font color=red>El archivo no se pudo subir al servidor, inténtalo mas tarde</font></center>";
	}	
	
} 
?>